### Enumeration

# AppStream PoolFlags

since: 1.0

#### Declaration

    flags AppStream.PoolFlags

#### Description [src]

Flags controlling the metadata pool behavior.

Available since: 1.0

#### Members

`AS_POOL_FLAG_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`AS_POOL_FLAG_LOAD_OS_CATALOG`

  Load AppStream catalog metadata from OS locations.

  - Value: `1`
  - Nickname: `load-os-catalog`
  - Available since: 1.0
`AS_POOL_FLAG_LOAD_OS_METAINFO`

  Load MetaInfo data from OS locations.

  - Value: `2`
  - Nickname: `load-os-metainfo`
  - Available since: 1.0
`AS_POOL_FLAG_LOAD_OS_DESKTOP_FILES`

  Load components from desktop-entry files in OS locations.

  - Value: `4`
  - Nickname: `load-os-desktop-files`
  - Available since: 1.0
`AS_POOL_FLAG_LOAD_FLATPAK`

  Load AppStream catalog metadata from Flatpak.

  - Value: `8`
  - Nickname: `load-flatpak`
  - Available since: 1.0
`AS_POOL_FLAG_IGNORE_CACHE_AGE`

  Load fresh data even if an up-o-date cache is available.

  - Value: `16`
  - Nickname: `ignore-cache-age`
  - Available since: 1.0
`AS_POOL_FLAG_RESOLVE_ADDONS`

  Always resolve addons for returned components.

  - Value: `32`
  - Nickname: `resolve-addons`
  - Available since: 1.0
`AS_POOL_FLAG_PREFER_OS_METAINFO`

  Prefer local metainfo data over the system-provided catalog data. Useful for previewing local data.

  - Value: `64`
  - Nickname: `prefer-os-metainfo`
  - Available since: 1.0
`AS_POOL_FLAG_MONITOR`

  Monitor registered directories for changes, and auto-reload metadata if necessary.

  - Value: `128`
  - Nickname: `monitor`
  - Available since: 1.0